Implement language variant support in the REST API
Closed, ResolvedPublic

Description

Following the resolution of T122942: RFC: Support language variants in the REST API, this task is about tracking the implementation of language variant support in the REST API.

Implementation will start once T43716 on the Parsoid side is resolved.

Related Objects

StatusAssignedTask
Resolvedovasileva
OpenNone
DuplicateNone
StalledABorbaWMF
OpenNone
ResolvedPchelolo
OpenNone
ResolvedPchelolo
Opencooltey
Opencscott
OpenNone
Opencscott
Invalid GWicke
Resolvedliangent
Resolvedthiemowmde
OpenNone
Resolvedcscott
Resolvedcscott
ResolvedElitre
Resolvedcscott
Resolvedcscott
Resolvedcscott
Resolvedcscott
Resolvedcscott
Opencscott
Resolvedcscott
Opencscott
Opencscott
Opencscott
Resolvedmobrovac

Change 396538 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/services/parsoid@master] Create skeleton of language variant support in Parsoid API

https://gerrit.wikimedia.org/r/396538

Change 396538 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Create skeleton of language variant support in Parsoid API

https://gerrit.wikimedia.org/r/396538

Dbrant awarded a token.Jan 3 2018, 8:44 PM

All the skeleton code for this has been completed in Parsoid: we honor the Accept-Language header and dispatch to an appropriate language variant converter.

Those converters don't do anything yet (still working on that!) but there shouldn't be anything blocking the RESTBase portion of this task -- which is just to pass along the Accept-Language header from the REST request, and probably to cache the results in a different place/way.

lisong added a subscriber: lisong.Mar 17 2018, 8:40 AM
Pchelolo closed this task as Resolved.Jul 30 2018, 8:02 PM
Pchelolo claimed this task.
Pchelolo added a subscriber: Pchelolo.

RESTBase API now supports language variants, but the actual converters are enabled only on a subset of wikis. However, nothing else needs to be done on the API side.